org.bdgenomics.adam.util

# TwoBitFile

###
Related Doc: package util

#### class TwoBitFile extends ReferenceFile

Represents a set of reference sequences backed by a .2bit file.

See http://genome.ucsc.edu/FAQ/FAQformat.html#format7 for the spec.

Linear Supertypes
ReferenceFile, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TwoBitFile
2. ReferenceFile
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TwoBitFile(byteAccess: ByteAccess)

   byteAccess

     ByteAccess pointing to a .2bit file.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def extract(region: ReferenceRegion): String

   Extract reference sequence from the .2bit data.

   Extract reference sequence from the .2bit data. Do not apply masks.

   region

     The desired ReferenceRegion to extract.

   returns

     The reference sequence at the desired locus.

   Definition Classes
     TwoBitFile → ReferenceFile

9. #### def extract(region: ReferenceRegion, mask: Boolean): String

   Extract reference sequence from the .2bit data.

   Extract reference sequence from the .2bit data.

   region

     The desired ReferenceRegion to extract.

   mask

     Whether to apply masks (with lowercase letters)

   returns

     The reference sequence at the desired locus.

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### var indexRecordStart: Int

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### val sequences: SequenceDictionary

    The sequence dictionary corresponding to the contigs in this two bit file.

    The sequence dictionary corresponding to the contigs in this two bit file.

    Definition Classes
      TwoBitFile → ReferenceFile

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ReferenceFile

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped